## org.apache.lucene.index
Class BaseTermVectorsFormatTestCase.RandomTokenStream

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.index.BaseTermVectorsFormatTestCase.RandomTokenStream

All Implemented Interfaces:
  Closeable

Enclosing class:
  BaseTermVectorsFormatTestCase

    protected class BaseTermVectorsFormatTestCase.RandomTokenStream

extends TokenStream

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`AttributeSource.AttributeFactory, AttributeSource.State`

Constructor Summary
`protected` `BaseTermVectorsFormatTestCase.RandomTokenStream(int len, String[] sampleTerms, BytesRef[] sampleTermBytes)`
`protected` `BaseTermVectorsFormatTestCase.RandomTokenStream(int len, String[] sampleTerms, BytesRef[] sampleTermBytes, boolean offsetsGoBackwards)`

Method Summary
`boolean` `hasPayloads()`
`boolean` `incrementToken()`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`close, end, reset`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseTermVectorsFormatTestCase.RandomTokenStream

    protected BaseTermVectorsFormatTestCase.RandomTokenStream(int len,
                                                              String[] sampleTerms,
                                                              BytesRef[] sampleTermBytes)

### BaseTermVectorsFormatTestCase.RandomTokenStream

    protected BaseTermVectorsFormatTestCase.RandomTokenStream(int len,
                                                              String[] sampleTerms,
                                                              BytesRef[] sampleTermBytes,
                                                              boolean offsetsGoBackwards)

Method Detail

### hasPayloads

    public boolean hasPayloads()

### incrementToken

    public final boolean incrementToken()
                                 throws IOException

  Specified by:
    `incrementToken` in class `TokenStream`
  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.